DINIT-CHECK(8)

NAME
dinit-check - check service configuration

SYNOPSIS

dinit-check [-d|--services-dir dir] [service-name...]

DESCRIPTION
The dinit-check utility checks the service configuration for Dinit services (see dinit(8)), and reports any errors it finds. This allows for finding errors before they can cause a service to fail to load during system operation.

Errors reported by dinit-check include:

•   Syntax errors

•   Invalid parameter values

•   Service dependency cycles

Unless altered by options specified on the command line, this utility uses the same search paths (for service description files) as dinit.

OPTIONS

-d dir, --services-dir dir
    Specifies dir as the directory containing service description files (can be given multiple times to specify multiple service directories). Default directories are not searched for services when this option is provided. See dinit(8) for defaults.

-n, --online
    Operate in "online" mode; contact a running instance of dinit to obtain the service directories and environment variables (used for substitution in service setting values). The --services-dir (-d) and --env-file (-e) options will be ignored.

-s, --system
    Use defaults for a system instance. This affects default service directories, environment file, and (when in online mode) control socket path. It is the default when run as the root user.

-u, --user
    Use defaults for a user instance. This affects default service directories, environment file, and (when in online mode) control socket path. It is the default when not run as the root user.

--socket-path socket-path, -p socket-path
    Specify the path to the socket used for communicating with the service manager daemon. When not specified, the value from the DINIT_SOCKET_PATH environment variable is used, with the default path (as documented for dinit(8)) used if the variable is unset. This option is ignored unless --online (-n) is also specified.

-e file, --env-file file
    Read supplementary environment from file, which should be in the format used by dinit(8). If not specified, the default is as for dinit(8). This setting is not used when --online (-n) is specified.

--help
    Display brief help text and then exit.

service-name
    Specifies the name of a service that should be checked (along with its dependencies). If none are specified, defaults to boot (which requires that a suitable service description for the boot service exists).

NOTES
For service properties that are subject to environment variable substitution, including socket-listen, logfile, env-file, working-dir and pid-file, the substitution may have a different result when performed by dinit-check than when performed by dinit if the two processes have a different environment. For this reason dinit-check will issue a warning whenever substitution is used, unless run in "online" mode (--online or -n), in which case environment variable values are obtained from the running instance of dinit.

SEE ALSO
dinit(8), dinit-service(5).

AUTHOR
Dinit, and this manual, were written by Davin McCall.